Subject: Re: [RFC PATCH 1/2] powerpc/xive: guest exploitation of the XIVE interrupt controller

From: Benjamin Herrenschmidt <[email-masked]>
Date: Wed, 05 Jul 2017 09:38:20 -0500

On Wed, 2017-07-05 at 21:07 +1000, David Gibson wrote:
> I don't know if it helps, but we do have the ability to trigger a full
> system reset from CAS, so possibly we can do the XICS/XIVE
> instantiation in the reset path.
> 
> I don't think we use that CAS reset ability yet - we just adjust the
> device tree and continue the boot.  But it's there if we need it.
> 
> Worst comes to worst, we might have to instantiate both XICS and XIVE
> objects, with some flags in each indicating which is active.

That could be a problem with the kernel interrupt controller. We can't
really instantiate both there I think... well, actually ... maybe we
could, though it's a bit messy...

Cheers,
Ben.